C  Divide-and-conquer solution of tridiagonal linear systems.
C  File: trid.h  (Interfaces for trid.fcm)

C  Coefficient matrix is
C	 _                                   _
C	| D(0)  X(0)                          |
C	| Y(1)  D(1)  X(1)                    |
C	|       Y(2)  D(2)  X(2)              |
C	|              .     .     .          |
C	|                    .     .     .    |
C	|_                      Y(N-1) D(N-1)_|


C  Solve [Y,D,X].U = R, leaving result in R, altering Y, D, X.
C  Assumes that no pivoting is needed.

      INTERFACE
      subroutine trid1(Y, D, X, R, N)
      integer N
      real, array(0:N-1) :: Y, D, X, R
      END INTERFACE
